Index: src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java
===================================================================
--- src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -29,5 +29,5 @@
         http.csrf().disable()
                 .authorizeRequests()
-                .antMatchers("/movies","/movies/**/","/actors","/persons/**/","/directors","/discussions","/discussions/**/","/discussions/all/**/","/replies","/register","/genres", "/css/**","/img/**", "/js/**").permitAll()
+                .antMatchers("/movies","/movies/**/","/actors","/persons/**/","/directors","/discussions","/profiles/**","/discussions/**/","/discussions/all/**/","/replies","/register","/genres", "/css/**","/img/**", "/js/**").permitAll()
                 .anyRequest()
                 .authenticated()
Index: src/main/java/com/wediscussmovies/project/model/Movie.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Movie.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -95,5 +95,12 @@
 
 
-
+    public String getShortTitle(){
+        int to = 20;
+        if (title.length() < to)
+            to = title.length();
+        if(to<20)
+            return title;
+        return title.substring(0, to) + "...";
+    }
 
 
Index: src/main/java/com/wediscussmovies/project/model/Person.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Person.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/model/Person.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -92,3 +92,11 @@
     }
 
+    public boolean hasGradeFromUser(User user){
+        for(PersonRates p: personRates){
+            if(p.getUser().getUserId() == user.getUserId())
+                return true;
+        }
+        return false;
+    }
+
 }
Index: src/main/java/com/wediscussmovies/project/service/UserService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/UserService.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/service/UserService.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -10,3 +10,5 @@
      User findByUsername(String username);
      User register(String email, String username, String password, String confirmPassword, String name, String surname);
+
+    User findById(Integer id);
 }
Index: src/main/java/com/wediscussmovies/project/service/impl/UserServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/UserServiceImpl.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/service/impl/UserServiceImpl.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -48,4 +48,9 @@
 
     @Override
+    public User findById(Integer id) {
+        return userRepository.findById(id).orElseThrow(() -> new UserNotExistException(id.toString()));
+    }
+
+    @Override
     public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
         return this.findByUsername(username);
Index: src/main/java/com/wediscussmovies/project/web/controller/PersonController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/PersonController.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/web/controller/PersonController.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -55,5 +55,5 @@
         //Error handling, could be null!!!!!!!!!
         model.addAttribute("person", person);
-
+        addModelPropertiesForUser(model);
         model.addAttribute("contentTemplate", "personShow");
         return "template";
Index: src/main/java/com/wediscussmovies/project/web/controller/UsersController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/UsersController.java	(revision c02189fa25621ce1d654581cba8f42042572979c)
+++ src/main/java/com/wediscussmovies/project/web/controller/UsersController.java	(revision 3fe36de5813c3dc0a535a893e180e3b45bfb1430)
@@ -11,8 +11,5 @@
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.Model;
-import org.springframework.web.bind.annotation.GetMapping;
-import org.springframework.web.bind.annotation.PostMapping;
-import org.springframework.web.bind.annotation.RequestMapping;
-import org.springframework.web.bind.annotation.RequestParam;
+import org.springframework.web.bind.annotation.*;
 
 import java.util.ArrayList;
@@ -42,4 +39,10 @@
             return "redirect:/register?error=" + exception.getMessage();
         }
+    }
+    @GetMapping("/profiles/{id}")
+    public String getProfilePage(@PathVariable Integer id, Model model){
+        model.addAttribute("user",userService.findById(id));
+        model.addAttribute("contentTemplate","usersShow");
+        return "template";
     }
     @GetMapping("/register")
